%define upstream_name Dist-Zilla-Plugin-RewriteVersion-Sanitized
%define upstream_version 0.001006

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	RewriteVersion but force normalizing ENV{V} and other sources
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Plugin::RewriteVersion)
BuildRequires:	perl(Dist::Zilla::Role::Version::Sanitize)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Moose)
BuildRequires:	perl(Package::DeprecationManager)

BuildArch:	noarch

%description
As per Dist::Zilla::Plugin::Git::NextVersion::Sanitized

  V=2.6.0 dzil release # -> V=2.006000 internally

This is really just a glue layer that wraps
"Dist::Zilla::Role::Version::Sanitize" around "[RewriteVersion]".

So see the documentation for Dist::Zilla::Role::Version::Sanitize for
details and attributes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%install
%make_install

%check
%__make test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.1.6-5.mga10
+ Revision: 2218177
- Mageia 10 Mass Rebuild

* Wed Mar 29 2023 daviddavid <daviddavid> 0.1.6-4.mga9
+ Revision: 1950753
- fix testsuite building with -j1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.6-3.mga8
+ Revision: 1504173
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.6-2.mga7
+ Revision: 1283315
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.1.6-1.mga7
+ Revision: 1126000
- update to 0.001006

* Sun Jun 19 2016 pterjan <pterjan> 0.1.5-3.mga6
+ Revision: 1026570
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.1.5-2.mga6
+ Revision: 966490
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.1.5-1.mga6
+ Revision: 845794
- update to 0.001005

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-3.mga5
+ Revision: 748164
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.1.3-1.mga5
+ Revision: 664208
- update to 0.001003

* Fri Aug 08 2014 sander85 <sander85> 0.1.2-1.mga5
+ Revision: 661004
- update to 0.001002

* Mon Jul 21 2014 sander85 <sander85> 0.1.1-1.mga5
+ Revision: 655101
- update to 0.001001

* Wed Jun 04 2014 sander85 <sander85> 0.1.0-1.mga5
+ Revision: 633255
- imported package perl-Dist-Zilla-Plugin-RewriteVersion-Sanitized

